Name:           python-trove-classifiers
Version:        2023.1.20
Release:        %mkrel 1
Summary:        Canonical source for classifiers on PyPI
Group:          System/Packaging

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        ASL
URL:            https://github.com/pypa/trove-classifiers
Source:         %{pypi_source trove-classifiers}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
Canonical source for classifiers on PyPI.
Classifiers categorize projects per PEP 301. Use this package to validate 
classifiers in packages for PyPI upload or download.}


%description %_description

%package -n     python3-trove-classifiers
Summary:        %{summary}

%description -n python3-trove-classifiers %_description


%prep
%autosetup -p1 -n trove-classifiers-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files trove_classifiers


%check
%pyproject_check_import


%files -n python3-trove-classifiers -f %{pyproject_files}



%changelog
* Tue Jan 31 2023 papoteur <papoteur> 2023.1.20-1.mga9
+ Revision: 1937237
- imported package python-trove-classifiers

